← Standen

Scotland

National League Division 3

#TeamPWDLPDBPPtsVorm
1Cartha Queens Park RFC7700+182634WWWWW
2Allan Glen's RFC7601+99731WWWLW
3Strathmore RFC7601+99428LWWWW
4Dumfries Saints RFC7502+81727WWLWW
5West of Scotland FC7403+104521LWWLW
6Aberdeen Grammar Rugby7205-156513LWLLL
7Orkney RFC7205-49412WLLWL
8Lasswade RFC7106-115610LLLLL
9Berwick RFC7106-171610LWLLL
10Hillhead Jordanhill RFC7106-7426LLLWL

Bron: Scottish Rugby · gecontroleerd 18 okt, 16:20 · Vorm: de laatste vijf uitslagen die we hebben, de nieuwste rechts.

Wedstrijden & uitslagen →

Elke stand is de stand zoals de competitie die zelf publiceert, met bonuspunten, puntenaftrek en beslissingsregels. BP staat er waar de competitie het publiceert; elders zit het al in Pts.